Berkeley DB version 5.0.21

## com.sleepycat.util
Class ExceptionUnwrapper

    java.lang.Object
      com.sleepycat.util.ExceptionUnwrapper

    public class ExceptionUnwrapper

extends Object

Unwraps nested exceptions by calling the `ExceptionWrapper.getCause()` method for exceptions that implement the `ExceptionWrapper` interface. Does not currently support the Java 1.4 `Throwable.getCause()` method.

Constructor Summary
`ExceptionUnwrapper()`

Method Summary
`static Exception` `unwrap(Exception e)` Unwraps an Exception and returns the underlying Exception, or throws an Error if the underlying Throwable is an Error.
`static Throwable` `unwrapAny(Throwable e)` Unwraps an Exception and returns the underlying Throwable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUnwrapper

    public ExceptionUnwrapper()

Method Detail

### unwrap

    public static Exception unwrap(Exception e)

  Unwraps an Exception and returns the underlying Exception, or throws an Error if the underlying Throwable is an Error.

  Parameters:
    `e` - is the Exception to unwrap.
  Returns:
    the underlying Exception.
  Throws:
    `Error` - if the underlying Throwable is an Error.
    `IllegalArgumentException` - if the underlying Throwable is not an Exception or an Error.

### unwrapAny

    public static Throwable unwrapAny(Throwable e)

  Unwraps an Exception and returns the underlying Throwable.

  Parameters:
    `e` - is the Exception to unwrap.
  Returns:
    the underlying Throwable.

Berkeley DB version 5.0.21

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.